#ifndef __CPHIDGETENCODER
#define __CPHIDGETENCODER




DPHANDLE(Encoder)

CHDRSTANDARD(Encoder)

CHDRGETSETINDEX(Encoder,EncoderPosition,PINTEGER)
CHDRGET(Encoder,NumInputs,PINTEGER)
CHDRGET(Encoder,NumEncoders,PINTEGER)
CHDRGETINDEX(Encoder,InputState,PINTEGER)

CHDREVENTINDEX(Encoder,InputChange,PINTEGER)

EXTERN PHIDGET21_API int CCONV CPhidgetEncoder_set_OnPositionChange_Handler(PHANDLE(Encoder), int (CCONV *fptr)(PFHANDLE(Encoder), void *, int, int, int), void *); 

#ifndef EXTERNALPROTO
#define ENCODER_MAXENCODERS 4
#define ENCODER_MAXINPUTS 4
struct _CPhidgetEncoder {
	CPhidget phid;

	int (CCONV *fptrInputChange)        (CPhidgetEncoderHandle, void *, int, int); 
	int (CCONV *fptrPositionChange)        (CPhidgetEncoderHandle, void *, int, int, int); 

	void *fptrInputChangeptr;
	void *fptrPositionChangeptr;
	unsigned char physicalState[ENCODER_MAXINPUTS];
	long encoderPosition[ENCODER_MAXENCODERS];
	unsigned short encoderTimeStamp[ENCODER_MAXENCODERS];

	unsigned char outputPacket[8];
	unsigned int outputPacketLen;
} typedef CPhidgetEncoderInfo;
#endif


#endif
