/*
  Name : blue.hpp
  Copyright : MARTY & FOK
  Authors : MARTY Sbastien & FOK Pierre
  Description: file which contents functions to use a blue lamp
*/

#ifndef _BLUE_HPP_
#define _BLUE_HPP_

#include "lampes.hpp"

class Blue: public Lampes
{
private:
	
string nb;
short out;
short card;
void forceState(short forcedState,K8055 &k,config &cfg);	//force the state 
	void changeState (short state,K8055 &k,config &cfg);	//change the state
public:
  Blue(){nb="1";init();}
  Blue(short o, short c,string n){nb=n;out=o;card=c;init();}

  void init();	//initialize the blue lamp
 
  void changing (short,short,K8055&,config &);	//define the state witch the lamp had to be
};

#endif
