/*
  Name : objet.hpp
  Copyright : MARTY & FOK
  Authors : MARTY Sbastien & FOK Pierre
  Description: file which contents functions to use different modules of the the automaton
*/

#ifndef _OBJET_HPP_
#define _OBJET_HPP_

#include "carte.hpp"
#include "util.h"
#include "prestataire.h"


class Blue;
class HQI;
class Osmolation;
class Peristatic;
class Pump;
class Rah;
class Skimmer;
class Temperature;
class Premont;

class Objet
{
private:
	short state_sauv;	//use to save the last state of the module
	short state;	//state of the module   0:stop   1:start	
	short niterations;

	friend class Blue;
	friend class HQI;
	friend class Osmolation;
	friend class Peristatic;
	friend class Pump;
	friend class Rah;
	friend class Skimmer;
	friend class Temperature;
	friend class Premont;
	friend class Rac;
	
public:
	Objet(){niterations=0;}
	
	short getState(){return state;}
	void setState(short state){this->state=state;}
	virtual short get_State(string s,connexion  &c);

};

#endif
