/*
  Name :rac.hpp
  Copyright : salva sebastien
  Authors : salva sebastien
  Description: file which contents functions to use a temperature captor
*/

#ifndef _RAC_HPP_
#define _RAC_

#include "param.h"
#include "util.h"
#include "other.hpp"
#include "objet.hpp"

class Rac: public Objet
{
private:
 
  void forceState(short,K8055 &,config &);	//force the state of the captor
  void changeState (short,K8055 &,config &);
public:
  Rac(){init();}
  void init();		//initialize the temperature captor
  void changing (double, K8055&,config&);
  
};

#endif
