/*
  Name : shareData.hpp
  Copyright : KPAMEGAN & ROUSSET
  Authors : KPAMEGAN Karel, ROUSSET Baptiste
  Description: file which contents function to share data between the automate end the screen
*/

#ifndef _SHARE_HPP_
#define _SHARE_HPP_

#include <list>

using namespace std;

class shareData 
{
public:

  char * temperature;            //temperature
  char * ecumeur;                //skimmer
  char * pompes;                 //peristatic
  char * chauffage;              //temp
  char * reserve;                 //blue
  char * osmolation;             //osmolation
  char * rah;                    //rah
  char * gdespompes;             //pump
  

  shareData(); //this is the constructor

list<char *> llogs;            //list of logs
  list<char *> lalert;           //list of alerts 

void set_temperature(char *);
void set_ecumeur(char *);
void set_pompes(char *);
void set_chauffage(char *);
void set_reserve(char *);
void set_osmolation(char *);
void set_rah(char *);
void set_gdespompes(char *);
};

#endif
