#ifndef __CPHIDGETTEMPERATURESENSOR
#define __CPHIDGETTEMPERATURESENSOR


DPHANDLE(TemperatureSensor)

CHDRSTANDARD(TemperatureSensor)
CHDRGET(TemperatureSensor,NumTemperatureInputs,PINTEGER)
CHDRGETINDEX(TemperatureSensor,Temperature,PDOUBLE)
CHDRGETSETINDEX(TemperatureSensor,TemperatureChangeTrigger,PDOUBLE)

CHDREVENTINDEX(TemperatureSensor,TemperatureChange,PDOUBLE)

#ifndef EXTERNALPROTO
#define TEMPSENSOR_MAXSENSORS 8
struct _CPhidgetTemperatureSensor {
	CPhidget phid;

	int (CCONV *fptrTemperatureChange)(CPhidgetTemperatureSensorHandle, void *, int, double);           

	void *fptrTemperatureChangeptr;
	double Temperature[TEMPSENSOR_MAXSENSORS];
	double lastTrigger[TEMPSENSOR_MAXSENSORS];
	double TempChangeTrigger[TEMPSENSOR_MAXSENSORS];

	unsigned char outputPacket[TEMPSENSOR_MAXSENSORS];
	unsigned int outputPacketLen;

} typedef CPhidgetTemperatureSensorInfo;
#endif


#endif
