/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _PERSISTPREST_H_
#define _PERSISTPREST_H_

#include <string>
#include <vector>


#define QUERYPREST "SELECT * FROM prestataire WHERE selec='1';"
 
using namespace std;

class ControlBDD;
class PersistPrest {
	
private :
	vector<string> *elts; //les elements de la base
	ControlBDD *ctrl;  //le controleur d'acces a la base

public :
	PersistPrest();
	
	/*Lecture recuperation d'elements dans la base*/
	short read();

	string getHote();
	string getScript();
	string getLogin();
	string getPass();
	string getNom();

	~PersistPrest();
	
	

};

#endif
