#include "includes/peristatic.hpp"

void Peristatic::init()
{
  state=0;
  state_sauv=0;
  stop=0;
  stop_p=false;	
  //string name="";
}

short Peristatic::getStop ()
{
  return stop;
}

bool Peristatic::getStop_p ()
{
  return stop_p;
}

void Peristatic::setStop(short stop)
{
  this->stop=stop;
}

void Peristatic::setStop_p (bool stop_p)
{
  this->stop_p=stop_p;
}


void Peristatic::forceState(short forcedState,K8055 &k,config &cfg)
{
int i;

i=atoi(nb.c_str()); 
 if (forcedState!=state)
    {
      state_sauv=state;
    	
      state=forcedState;
      k.change_state(out,card,state,name+nb+ "forcee");
    }
}

void Peristatic::changeState (short state,K8055 &k,config &cfg)
{
int i;

i=atoi(nb.c_str())-1; 

  this->state=state;
  state_sauv=state;
  k.change_state(out,card,state,name+nb);
}


short Peristatic::get_State(string s,connexion  &c)
{
  temps t,tbegin,tend;
  bool button,b;
  short r[3];
  short i,sum;	
  param p;
niterations++;

if (niterations==5)
{
  t.set_current_time();
//for all hour plages
  for(i=0;i<numb;i++)
    {
      try{c.get_parameter(s,p,i+1);
	
      tbegin.set_time(p.get_init_timer());
      tend.set_time(p.get_end_timer());
      button=p.get_button();
      b=t.inclus(tbegin,tend);
      if(b==true && button==true) r[i]=1;
      if(b==true && button==false) r[i]=0;
      if(b==false) r[i]=0;}
	catch(exception& er) { cout << "erreur get state peri" << endl; return state;} // erreur d'acces  la base pb acces concurrent ?	
    }
  niterations=0;sum=0;
  for(i=0;i<numb;i++) sum=sum+r[i];  
  
if (sum>0) return 1; else return 0;
}
else return state;
}

void Peristatic::bouttonApp ()
{
  time (&t_timer);
  stop_p=true;
}

void Peristatic::stop10 (K8055 &k,config &cfg)
{
  time (&rawtime);
  double dif = difftime (rawtime,t_timer);
//if timer >10 min
  if( (dif/60) > 10.0) 
    {
      stop_p=false;
    }
  else
//stop the pump if running    
    if (state==1)
	{
	  state=0;
  	  state_sauv=state;
	  k.change_state(out,card,state,name + nb + " stopp 10min:");
	}
}


void Peristatic::changing(short st,short forced,K8055&k,config&cfg)
{
int i;

i=atoi(nb.c_str())-1;

  if(forced!=0) 
    forceState(forced-1,k,cfg);
  else
    {
  	if (state!=state_sauv)
    		changeState(state_sauv,k,cfg);
	if (stop==1)
      		bouttonApp();
  	if (stop_p==true)
    		stop10(k,cfg);
  	else if (state!=st)
	{
		changeState (st,k,cfg);}
   }
}
