#include "includes/rac.hpp"

void Rac::init()
{
  state=0;
  state_sauv=0;	
  
}


void Rac::forceState(short forcedState,K8055 &k,config &cfg)
{
  if (state!=forcedState)
    {
      state_sauv=state;
	state=forcedState;
      k.change_state(cfg.OUTRAC,cfg.OUTRAC_CARD,state,"rac force");
    }
}


void Rac::changeState (short state2,K8055 &k,config &cfg)
{
  state=state2;
  state_sauv=state;
  k.change_state(cfg.OUTRAC,cfg.OUTRAC_CARD,state,"rac");
}


void Rac::changing(double ph,K8055 &k,config &cfg )
{
double dif=0; 
 if (cfg.forced_rac!=0)
	{
    	forceState (cfg.forced_rac-1,k,cfg);
	}
 else
	{
	
	if (state != state_sauv)
		changeState(state_sauv,k,cfg);
 	
	if ((ph > cfg.PHMAX || ph < cfg.PHMIN) && state==1)
    		{
		changeState (0,k,cfg);
 		
		}
if ((ph <= cfg.PHMAX && ph >= cfg.PHMIN) && state==0)
    		{
		changeState (1,k,cfg);
 		
		}

	}
}
