#include <string>
#include "includes/util.h"

using namespace std; 

connexion::connexion()
{
}

connexion::connexion(string b,string rep) {
	base=b;
	rep_sauv=rep;
	db=new Database(base);
       save_time=0;
	//interroger(); 
}

bool connexion::connect_to_db(){
if (DEBUG==1) cout << "Base " << base << endl;
	if (!(db)->Connected()) {
		if (DEBUG==1) cout << "Database connection failed." << endl; 
		return false;
	}
	else {if (DEBUG==1) cout << "Database connection successful\n";}

	return true;
}
/*
bool connexion::interroger(){

Query q (*db);
string query;



query = "select * from parametres";
try {
q.get_result(query);
int i=0;


while (q.fetch_row())
{
cout << endl << "*****************" << endl;
i=0;
while ((q.is_null(i) == false) && (i!=-1))
	{
	string nom = q.getstr(i);
	cout << nom << "  ";
	i++;
	if (nom=="") i=-1;
	}
}
q.free_result();
}
catch (exception& er) {
     cout << "Error: " << er.what() << endl; 
     return false;  
}
return true;
}
*/

string connexion::get_lasthour()
{
Query q (*db);
char query [256];
string s;

try {
sprintf( query, "select * from parametres where nom='lasthour'");
//q.execute(query);
q.get_result(query);
q.fetch_row();
s=q.getstr("timerdebut");
q.free_result();
return s;
}
   catch (exception& er) {
        cout << "Error: get_lasthour" << endl;   
    	 return ""; 	
	}


}

void connexion::set_lasthour(string s)
{
Query q (*db);
char query [256];

try {
sprintf( query, "UPDATE parametres SET timerdebut='%s' WHERE nom='lasthour'",s.c_str());
if (DEBUG==1) cout << "set hour " << query << endl;
q.execute(query);
}
    catch (exception& er) {
        cout << "Error: set_lasthour" << endl;   
    }

}


int connexion::count_alert()
{
Query q (*db);
char query [256];

try {
sprintf( query, "select count(*) from log where message LIKE '%s' AND date=date('now')","Alert%");
q.get_result(query);
q.fetch_row();
return q.getval("count(*)");
}
    catch (exception& er) {
        cout << "Error: count_alert" << endl;   
    }
return 0;
}

double connexion::count_water()
{
Query q (*db);
char query [256];

try {
sprintf(query, "select * from water where type = strftime('%s','now','localtime')","%m");
q.get_result(query);
q.fetch_row();
return q.getnum("quantity");
}
    catch (exception& er) {
        cout << "Error: count_water" << endl;   
    }
return 0;
}




void connexion::get_parameter(string nom, param & p,short n)
{
Query q (*db);
char query [256];
//query = "select * from parametres";

try {
sprintf( query, "select * from parametres where nom='%s' AND nb='%d'",nom.c_str(),n);
//q.execute(query);
q.get_result(query);
q.fetch_row();
//cout << "parametre recherche : " << "nom "<< nom  <<"  : " << q.getstr("timerdebut") << "  " << q.getstr("timerfin") << "  " << q.getval("button") << endl;
p.set_init_timer(q.getstr("timerdebut"));
p.set_end_timer(q.getstr("timerfin"));
p.set_button(q.getval("button"));
p.set_nb(n);
q.free_result();
}
    catch (exception& er) {
        cout << "Error: get_parameter " << nom << er.what() << endl;   
    }
}

//insert into osmolation table
int connexion::insert_osmolation(double quant)
{
double day=0,total=0,month=0;
Query q (*db);
char query[256];

try{sprintf(query,"SELECT * FROM water WHERE type='day' OR type='total' OR type= strftime('%s','now','localtime')","%m");
q.get_result(query);
while (q.fetch_row())
    {
    string s=q.getstr("type");
    if (s=="total") total=(double)q.getnum("quantity");
    else if (s=="day") day=(double)q.getnum("quantity");
    	else month=(double)q.getnum("quantity");
    }
    
    }
    catch (exception& er) {
		cout << "Error: " << er.what() << endl;
		return -1;
	}
q.free_result();
day=day+quant;
month=month+quant;
//if (DEBUG==1) cout << "osmolation quantité " << quant << endl;
try
    {
        sprintf(query,"UPDATE water SET quantity='%f' WHERE type='day'",day);
        // execute a query that does not return a result set
        q.execute(query);
	sprintf(query,"UPDATE water SET quantity='%f' WHERE type=strftime('%s','now','localtime')",month,"%m");        
	// execute a query that does not return a result set
        q.execute(query);
	if (total==0)
		{
		sprintf(query,"REPLACE INTO water (type,quantity,date) VALUES('total','%f',date('now'))",quant);
	       // execute a query that does not return a result set
       	q.execute(query);

		}
	else	
		{
		sprintf(query,"UPDATE water SET quantity='%f' WHERE type='total'",total+quant);

	       // execute a query that does not return a result set
       	q.execute(query);

		}        
        
    }
    catch (exception& er) {
		cout << "Error: " << er.what() << endl;
		return -1;
	}

return 0;
}


//insert into error table
int connexion::insert_error(short type)
{
Query q (*db);
char query [256];

try
	{
		sprintf(query, "INSERT INTO error (date,time,type) VALUES(date('now'),time('now','localtime'),'%d')", type);
	       	// execute a query that does not return a result set
	q.execute(query);	
	}
	catch (exception& er) {
		cout << "Error: " << er.what() << endl;
		return -1;
	}

return 0;
}

// returns logs into string
string connexion::give_logs(void)
{
string s;
Query q (*db);
char query [256];

try{
sprintf(query, "SELECT * FROM log");
q.get_result(query);

while (q.fetch_row())
    {
    s=s+">>"+q.getstr("date  ")+q.getstr("time  :")+q.getstr("message")+"\n";
}
    
    }
    catch (exception& er) {
		cout << "Error: give logs " << er.what() << endl;
		return "";
	}
q.free_result();
return s;
}

//insert into log table
int connexion::insert_log(string mess)
{
Query q (*db);
char query [256];
string s;
time_t rawtime;

time ( &rawtime );
s=ctime(&rawtime); 

if (DEBUG==1) cout << s  << ": " << mess << endl;
try
	{
		sprintf(query ,"INSERT INTO log (date,time,message) VALUES(date('now'),time('now','localtime'),'%s')",mess.c_str());
		// execute a query that does not return a result set
		q.execute(query);
		
	
	}
	catch (exception& er) {
		cout << "Error: insert log" << er.what() << endl;
		return -1;
	}

return 0;
}

void connexion::insert_something(double t, string s)
{
Query q (*db);
char query [256];
double min=0,max=0;

try
	{
		sprintf(query , "UPDATE %s SET t=%f WHERE nom='day' and i=strftime('%s','now','localtime')",s.c_str(),t,"%H");
		// execute a query that does not return a result set
		q.execute(query);	
	}
	catch (exception& er) {
		cout << "Error: " << er.what() << endl;
	}

// compute the min temperature for an hour
try{
//query = con.query();
	sprintf(query , "select * from %s where nom='min' AND i=strftime('%s','now','localtime')",s.c_str(),"%H");
	q.get_result(query);
if (q.num_rows()==0) 
	{
	min=t;
	}
else
	{
		while (q.fetch_row())
		{
			min= (double)(q.getnum("t"));
			if (min > t) min=t;
		}
	}
q.free_result();
	sprintf(query , "UPDATE %s SET t=%f WHERE nom='min' and i=strftime('%s','now','localtime')",s.c_str(),min,"%H");

		// execute a query that does not return a result set
	q.execute(query);
	}
    catch (exception& er) {
        cout << "Error: " << er.what() << endl;        
    }

// compute the max temperature for an hour
try{
//query = con.query();
	sprintf(query,"select * from %s where nom='max' AND i=strftime('%s','now','localtime')",s.c_str(),"%H");
	q.get_result(query);

	if (q.num_rows()==0) 
	{
		max=t;
	}
	else
	{
		while (q.fetch_row())
		{
			max= (double)(q.getnum("t"));
			if (max < t) max=t;
		}
	}

q.free_result();
	sprintf(query,"UPDATE %s temperature SET t=%f WHERE nom='max' and i=strftime('%s','now','localtime')",s.c_str(),max,"%H");

		// execute a query that does not return a result set
	q.execute(query);
	}
    catch (exception& er) {
        cout << "Error: " << er.what() << endl;
        
    }

// compute the min temperature of the month for an hour
try{
//query = con.query();
	sprintf(query,"select * from %s where nom='minmonth' AND i=strftime('%s','now','localtime')",s.c_str(),"%H");
	q.get_result(query);
	
if (q.num_rows()==0) 
	{
	min=t;
	}
else
	{
	while (q.fetch_row())
		{
			min= (double)(q.getnum("t"));
			if (min > t) min=t;
		}
	}

q.free_result();
	sprintf(query,"UPDATE %s SET t=%f WHERE nom='minmonth' and i=strftime('%s','now','localtime')",s.c_str(),min,"%H");

		// execute a query that does not return a result set
	q.execute(query);
	}
    catch (exception& er) {
        cout << "Error: " << er.what() << endl;
        
    }

// compute the max temperature of the month for an hour
try{
//query = con.query();
sprintf(query,"select * from %s where nom='maxmonth' AND i=strftime('%s','now','localtime')",s.c_str(),"%H");
q.get_result(query);

if (q.num_rows()==0) 
	{
	max=t;
	}
else
	{
		while (q.fetch_row())
		{
			max= (double)(q.getnum("t"));
			if (max < t) max=t;
		}
	}

q.free_result();
	sprintf(query,"UPDATE %s SET t=%f WHERE nom='maxmonth' and i=strftime('%s','now','localtime')",s.c_str(),max,"%H");

		// execute a query that does not return a result set
	q.execute(query);
  }
    catch (exception& er) {
        cout << "Error: " << er.what() << endl;
        
    }


}

//insert into temperature table temperature for a specific hour, compute and store average temp,
int connexion::insert_temperature(double t)
{
insert_something(t,"temperature");
return 0;
}

//insert into temperature table temperature for a specific hour, compute and store average temp,
int connexion::insert_ph(double t,string nb)
{
insert_something(t,"ph"+nb);
return 0;
}

void connexion::insert_current_something(double t,string s)
{
Query q (*db);
char query [256];
try
	{
	sprintf(query,"UPDATE %s SET t=%f WHERE nom='current'",s.c_str(),t);
	// execute a query that does not return a result set
	q.execute(query);
	}
	catch (exception& er) {
		cout << "Error: " << er.what() << endl;
	}
}

//insert into temperature table the current temperature
int connexion::insert_current_temperature(double t)
{
insert_current_something(t,"temperature");
return 0;
}

//insert into ph table the current ph
int connexion::insert_current_ph(double t,string nb)
{
insert_current_something(t,"ph"+nb);
return 0;
}

// init of output state
int connexion::init_out()
{
Query q (*db);
char query [256];
int j;

for(j=1;j<=8;j++)
{	
try
	{
		
		sprintf(query,"UPDATE parametres SET button='0'  WHERE nom='output' AND nb='%d'",j);

		// execute a query that does not return a result set
		q.execute(query);
	}
	catch (exception& er) {
		cout << "Error: " << er.what() << endl;
		return -1;
	}
}
return 0;
}


// maj of output state
int connexion::maj_out(short card, short out,short state)
{
Query q (*db);
char query [256];
short sortie;

sortie=out;
if (out==4) sortie=3;
if (out==8) sortie=4;
if (out==16) sortie=5;
if (out==32) sortie=6;
if (out==64) sortie=7;
if (out==128) sortie=8;

try
	{
		
		sprintf(query,"UPDATE parametres SET button='%d' WHERE nom='output' AND nb='%d' AND card=%d",state,sortie,card);
		// execute a query that does not return a result set
		q.execute(query);
	}
	catch (exception& er) {
		cout << "Error: " << er.what() << endl;
		return -1;
	}
return 0;
}


//delete log, error after 7 days
int connexion::maj_log()
{
Query q (*db);
char query [256];

try
	{
		if (LOG==7) sprintf(query,"DELETE FROM log WHERE (date(date) <= date('now','-8 day'))");
		else sprintf(query,"DELETE FROM log WHERE (date(date) <= date('now','-62 day'))");
		// execute a query that does not return a result set
		q.execute(query);
	}
	catch (exception& er) {
		cout << "Error: " << er.what() << endl;
		return -1;
	}
return 0;
}
/*
//maj ph table => minmonth and maxmonth deleted 
int connexion::maj_ph()
{
Query q (*db);
char query [256];
try
	{
		sprintf(query,"DELETE FROM ph WHERE (nom='minmonth' OR nom='maxmonth' )");
		// execute a query that does not return a result set
		q.execute(query);	
	}
	catch (exception& er) {
		cout << "Error: maj_ph" << er.what() << endl;
		return -1;
	}
return 0;
}


//maj temperature table => minmonth and maxmonth deleted 
int connexion::maj_temperature()
{
Query q (*db);
char query [256];
try
	{
		sprintf(query,"DELETE FROM temperature WHERE (nom='minmonth' OR nom='maxmonth' )");
		// execute a query that does not return a result set
		q.execute(query);	
	}
	catch (exception& er) {
		cout << "Error: " << er.what() << endl;
		return -1;
	}
return 0;
}
*/
// getting the K8055 config from the database automate
void connexion::get_config(config &cfg)
{
Query q (*db);
char query [256];
short inp[]= {16,32,1,64,-128};
short out[]={1,2,4,8,16,32,64,128};
short n;
string s;
short card;
//mail
try{
		sprintf(query,"select * from parametres where nom='mail' ORDER BY nb");
		q.get_result(query);
	
		while(q.fetch_row())
		{
			n= (int)(q.getval("nb"));
			s=q.getstr("config");
			if (n==1) cfg.EXP=s;
			if (n==2) cfg.DEST=s;
			if (n==3) cfg.SMTP=s;
		}
		q.free_result();
	}
    catch (exception& er) {
        cout << "Error: " << er.what() << endl;   
    }

//inputs	
try{
	cfg.STOP_PUMP=0;
	cfg.STOP_SKIMMER=0;
	cfg.FLOW=0;

	sprintf(query,"select * from parametres where nom='input'");
	q.get_result(query);
	
	while (q.fetch_row())	
		{
		n= q.getval("nb");
		s=q.getstr("config");
		card=q.getval("card");
		if (s=="stop_pump") 
			{
			cfg.STOP_PUMP=inp[n-1] ;
			cfg.STOP_PUMP_CARD=card;
			}
		if (s=="stop_premont") 
			{
			cfg.STOP_PREMONT=inp[n-1] ;
			cfg.STOP_PREMONT_CARD=card;
			}	
		if (s=="stop_skimmer") 
			{
			cfg.STOP_SKIMMER=inp[n-1] ;
			cfg.STOP_SKIMMER_CARD=card;
			}		
		if (s=="osmolation") 
			{
			cfg.OSMOLATION=inp[n-1] ;
			cfg.OSMOLATION_CARD=card;
			}
		if (s=="reserv") 
			{
			cfg.RESERV=inp[n-1] ;
			cfg.RESERV_CARD=card;
			}
		if (s=="high") 
			{
			cfg.HIGH=inp[n-1] ;
			cfg.HIGH_CARD=card;
			}
		if (s=="flowmeter") 
			{
			cfg.FLOW=inp[n-1] ;
			cfg.FLOW_CARD=card;
			}
		}
	q.free_result();
	}
    catch (exception& er) {
        cout << "Error: inputs " << er.what() << endl;
    }

//analogic inputs	
try{
	
	sprintf(query,"select * from parametres where nom='inputa'");
	q.get_result(query);
	
	while (q.fetch_row())	
		{
		n= q.getval("nb");
		s=q.getstr("config");
		card=q.getval("card");
		if (s=="ph1_c") 
			{
			cfg.INP_PH1=n-1 ;
			cfg.INP_PH1_CARD=card;
			}
		if (s=="ph2_c") 
			{
			cfg.INP_PH2=n-1 ;
			cfg.INP_PH2_CARD=card;
			}		
		if (s=="temp_c") // type velleman temp sensor
			{
			cfg.INP_TEMP=n-1 ;
			cfg.INP_TEMP_CARD=card;
			cfg.INP_TEMP_TYPE=0;
			}
		if (s=="temp_c2") // type maison
			{
			cfg.INP_TEMP=n-1 ;
			cfg.INP_TEMP_CARD=card;
			cfg.INP_TEMP_TYPE=1;
			}		
		}
	q.free_result();
	}
    catch (exception& er) {
        cout << "Error: analogic inputs " << er.what() << endl;
    }

//outputs
	try{
	sprintf(query,"select * from parametres where nom='output'");
	q.get_result(query);
	
	while (q.fetch_row())		
		{
		n= q.getval("nb");
		s=q.getstr("config");
		card=q.getval("card");		
		if (s=="hqi") 
			{
			cfg.OUTHQI=out[n-1] ;
			cfg.OUTHQI_CARD=card;
			}
		if (s=="blue") 
			{
			cfg.OUTBLUE=out[n-1] ;
			cfg.OUTBLUE_CARD=card;
			}	
		if (s=="blue2") 
			{
			cfg.OUTBLUE2=out[n-1] ;
			cfg.OUTBLUE2_CARD=card;
			}
		if (s=="pump1") 
			{
			cfg.OUTPUMP=out[n-1] ;
			cfg.OUTPUMP_CARD=card;
			}
		if (s=="pump2") 
			{
			cfg.OUTPUMP2=out[n-1] ;
			cfg.OUTPUMP2_CARD=card;
			}
		if (s=="premont") 
			{
			cfg.OUTPREMONT=out[n-1] ;
			cfg.OUTPREMONT_CARD=card;
			}
		if (s=="skimmer") 
			{
			cfg.OUTSKIMMER=out[n-1] ;
			cfg.OUTSKIMMER_CARD=card;
			}
		if (s=="osmolation") 
			{
			cfg.OUTOSMOLATION=out[n-1] ;
			cfg.OUTOSMOLATION_CARD=card;
			}
		if (s=="temp") 
			{
			cfg.OUTTEMP=out[n-1] ;
			cfg.OUTTEMP_CARD=card;
			}	
		if (s=="rah") 
			{
			cfg.OUTRAH=out[n-1] ;
			cfg.OUTRAH_CARD=card;
			}
		if (s=="peri1") 
			{
			cfg.OUTPERI[0]=out[n-1] ;
			cfg.OUTPERI_CARD[0]=card;
			}
		if (s=="peri2") 
			{
			cfg.OUTPERI[1]=out[n-1] ;
			cfg.OUTPERI_CARD[1]=card;
			}
		if (s=="peri3") 
			{
			cfg.OUTPERI[2]=out[n-1] ;
			cfg.OUTPERI_CARD[2]=card;
			}
		if (s=="peri4") 
			{
			cfg.OUTPERI[3]=out[n-1] ;
			cfg.OUTPERI_CARD[3]=card;
			}	
		if (s=="vent") 
			{
			cfg.OUTVENT=out[n-1] ;
			cfg.OUTVENT_CARD=card;
			}
		if (s=="rac") 
			{
			cfg.OUTRAC=out[n-1] ;
			cfg.OUTRAC_CARD=card;
			}
		}
	q.free_result();
	}
    catch (exception& er) {
        cout << "Error: outputs" << er.what() << endl;   
    }

//osmolation info
	try{
	sprintf(query,"select * from parametres where nom='osmolation'");
	q.get_result(query);
	q.fetch_row();
	cfg.TOSMOLATION=(int)(q.getval("nb"));
	cfg.DEBIT=(double)(q.getnum("config"));
	q.free_result();
	}
	    catch (exception& er) {
	        cout << "Error: " << er.what() << endl;  
	    }

	
	try{
	sprintf(query,"select * from parametres where nom='starthqi'");
	q.get_result(query);
	q.fetch_row();
	cfg.STARTHQI=(double)(q.getnum("nb"));
	q.free_result();
	}
	catch (exception& er) {
		cout << "Error: " << er.what() << endl;   
	}
	
	try{
	sprintf(query,"select * from parametres where nom='thqi'");
	q.get_result(query);
	q.fetch_row();
	cfg.THQI=(double)(q.getnum("config"));
	q.free_result();
	}
	catch (exception& er) {
		cout << "Error: " << er.what() << endl;  
	}

// get rah type 
try{
sprintf(query,"select * from parametres where nom='rah'");
q.get_result(query);
q.fetch_row();
cfg.RAH_TYPE=(int)(q.getval("nb"));
q.free_result();
}
catch (exception& er) {
		cout << "Error: " << er.what() << endl;  
	}

// flowmeter info
try{
sprintf(query,"select * from parametres where nom='flowmeter'");
q.get_result(query);
q.fetch_row();
cfg.FLOWIMPULSE=(double)(q.getnum("config"));
cfg.FLOWTYPE=(int)(q.getval("nb"));
q.free_result();
}
catch (exception& er) {
		cout << "Error: " << er.what() << endl;  
	}

// ventilator info
try{
sprintf(query,"select * from parametres where nom='ventilator'");
q.get_result(query);
q.fetch_row();
cfg.TMAX=(double)(q.getnum("config"));
q.free_result();
}
catch (exception& er) {
		cout << "Error: " << er.what() << endl;  
	}

// lcd info
try{
sprintf(query,"select * from parametres where nom='lcd'");
q.get_result(query);
q.fetch_row();
cfg.LCD=(int)(q.getval("config"));
q.free_result();
}
catch (exception& er) {
		cout << "Error: " << er.what() << endl;  
	}

// sms info
try{
sprintf(query,"select * from parametres where nom='sms'");
q.get_result(query);
q.fetch_row();
cfg.SMS=(int)(q.getval("config"));
q.free_result();
}
catch (exception& er) {
		cout << "Error: " << er.what() << endl;  
	}

// loglcd info
try{
sprintf(query,"select * from parametres where nom='loglcd'");
q.get_result(query);
q.fetch_row();
cfg.LOGLCD=(int)(q.getval("config"));
q.free_result();
}
catch (exception& er) {
		cout << "Error: " << er.what() << endl;  
	}

// card info
try{
	sprintf(query,"select * from parametres where nom='card'");
	q.get_result(query);
	
	while (q.fetch_row())	
		{
		n= (int)(q.getval("nb"));
		if (n==1) cfg.CARD1=(int)(q.getval("config"));
		if (n==2) cfg.CARD2=(int)(q.getval("config"));
		}
q.free_result();
}
catch (exception& er) {
		cout << "Error: " << er.what() << endl;  
	}

// ph info
try{
sprintf(query,"select * from parametres where nom='ph'");
q.get_result(query);
q.fetch_row();
cfg.PH=(int)(q.getval("config"));
q.free_result();
}
catch (exception& er) {
		cout << "Error: " << er.what() << endl;  

	}
// rac info
try{
sprintf(query,"select * from parametres where nom='phminalarm'");
q.get_result(query);
q.fetch_row();
cfg.PHMIN=(double)(q.getval("config"));
q.free_result();
sprintf(query,"select * from parametres where nom='phmaxalarm'");
q.get_result(query);
q.fetch_row();
cfg.PHMAX=(double)(q.getval("config"));
q.free_result();

}
catch (exception& er) {
		cout << "Error: " << er.what() << endl;  
	}


}

// get the forced status of outputs 
void connexion::get_forced(config &cfg)
{
Query q (*db);
char query [256];
int n;

try{
	sprintf(query,"select * from parametres where nom='output'");
	q.get_result(query);
	
	while (q.fetch_row())	
		{
		n= (int)(q.getval("nb"));
		string s(q.getstr("config"));
		if (s=="hqi") cfg.forced_hqi=q.getval("forced");
		if (s=="blue") cfg.forced_blue=q.getval("forced");
		if (s=="blue2") cfg.forced_blue2=q.getval("forced");
		if (s=="pump1") cfg.forced_pump=q.getval("forced");
		if (s=="pump2") cfg.forced_pump2=q.getval("forced");
		if (s=="skimmer") cfg.forced_skimmer=q.getval("forced");
		if (s=="osmolation") cfg.forced_osmolation=q.getval("forced");
		if (s=="temp") cfg.forced_temp=q.getval("forced");
		if (s=="rah") cfg.forced_rah=q.getval("forced");
		if (s=="peri1") cfg.forced_peri[0]=q.getval("forced");
		if (s=="peri2") cfg.forced_peri[1]=q.getval("forced");
		if (s=="peri3") cfg.forced_peri[2]=q.getval("forced");
		if (s=="peri4") cfg.forced_peri[3]=q.getval("forced");
		if (s=="vent") cfg.forced_ventilator=q.getval("forced");
		if (s=="premont") cfg.forced_premont=q.getval("forced");
		if (s=="rac") cfg.forced_rac=q.getval("forced");
		}
q.free_result();
}
    catch (exception& er) {
        cout << "Error: " << er.what() << endl;  
    }


}



// ckecks if the prog must be restarted
// 0-> no
// 1-> y
// 2-> y with reinit of bd
short connexion::get_start(void)
{
Query q (*db);
char query [256];
short type;

try{
	sprintf(query,"select * from parametres where nom='start'");
	q.get_result(query);
       q.fetch_row();
	type=(short)q.getval("nb"); 
	q.free_result();
	return type;
}
    catch (exception& er) {
        cout << "Error: " << er.what() << endl; 
    }
    return -1;
}

// set the start attribute to 0 in parametres table used int the starting process

void connexion::set_start(void)
{
Query q (*db);
char query [256];

try{
	sprintf(query,"UPDATE parametres SET nb='0' WHERE nom='start'");
		// execute a query that does not return a result set
	q.execute(query);
	}
    catch (exception& er) {
        cout << "Error: " << er.what() << endl;
    }
}


// set the start attribute to -1 in parametres table

void connexion::set_stop(void)
{
Query q (*db);
char query [256];

try{
	sprintf(query,"UPDATE parametres SET nb='-1' WHERE nom='start'");
	// execute a query that does not return a result set
	q.execute(query);
	}
    catch (exception& er) {
        cout << "Error: " << er.what() << endl; 
    }
}

// set to 0 the water evaporation top up of the day
void connexion::maj_water(void)
{
Query q (*db);
char query [256];

try{
sprintf(query, "UPDATE water SET quantity='0.0' WHERE type='day'");
        // execute a query that does not return a result set
        q.execute(query);


    }

    catch (exception& er) {
        cout << "Error: " << er.what() << endl; 
    }

}

//read if calibre is required
double connexion::calibre_ph(string nb)
{
double p=0;
Query q (*db);
char query [256];

try
    {
	sprintf(query, "select * from ph%s where nom='calibre'",nb.c_str());
	q.get_result(query);
	q.fetch_row();
	p = (double)q.getnum("i");
    q.free_result();
	sprintf(query, "UPDATE ph%s SET `i` = '0' WHERE `nom` ='calibre'",nb.c_str());
    q.execute(query);
	}
catch (exception& er) {
     cout << "Error calibre ph" << nb << er.what() << endl; 
     return 0;  
	}
return p;
}

//
int connexion::set_calibre(double corr,string nb)
{
Query q (*db);
char query [256];

try
    {
    sprintf(query, "UPDATE ph%s SET `t` = '%f' WHERE `nom` ='correction'",nb.c_str(),corr);
    q.execute(query);    
	}
catch (exception& er) {
     cout << "Error set calibre ph" << nb << er.what() << endl; 
     return -1;  
	}
return 0;
}

//get coorection for ph sensor
double connexion::get_calibre(short nb)
{
double p=0;
Query q (*db);
char query [256];

try
    {
   	sprintf(query, "select * from ph%d where nom='correction'",nb);
	q.get_result(query);
	q.fetch_row();
	p = (double)q.getnum("t");
    q.free_result();
    }
    catch (exception& er) 
     {cout << "Error get calibre ph" << er.what() << endl; 
     return 0;  
	}
return p;
}


// construct bd
void connexion::construct()
{
char exec[256];
system("rm automate.db");
sprintf(exec,"cp %s %s",rep_sauv.c_str(),base.c_str());
system(exec);
}

// save bd
void connexion::save()
{
char exec[256];

if (SAVE==1)
	{
	save_time++;
	if (save_time>=SAVE_TIME)
		{
		sprintf(exec,"cp %s %s",base.c_str(),rep_sauv.c_str());
		if (DEBUG==1) cout <<  "base sauvegardee " << exec << endl;
		system(exec);
		save_time=0;
		}
	}
}

// close bd
void connexion::close()
{
//save();
}

